/***********************************************************************

                                      CSDB Library, Release 1.5.b 

       Simple class to overcome problems with
       file names.

                                          Copyright(c) 1994 
                                          Combis 
                                          The Netherlands   
***********************************************************************/

#ifndef __CSFILE_H
#define __CSFILE_H


#ifndef __DIR_H
  #include <dir.h>
#endif
#ifndef __STRING_H
  #include <string.h>
#endif
#ifndef __STDIO_H
  #include <stdio.h>
#endif

#ifndef __CSTOOLS_H
  #include "cstools.h"
#endif
#ifndef __CSEDSTR_H
  #include "csedstr.h"
#endif


class FILE_NAME
{

private:
  STR fn;      // user input UNCHANGED
  STR direc;   // default path	( including DRIVE)
  STR exten;

protected:
  void combine(void);

public:
  void set_dir(char *s);
  void set_name(char *s)    { fn=s; set_dir_cur(); }
  int  exist(void)	    { return file_exist(name_dpfe()); }
  int  file_delete(void)    { return remove(name_dpfe()); }
  char *name(void)	    { return ((char *)fn); }

  void set_ext(char *s);
  void set_dir_cur(void);
  void del_ext(void);
  char *extension(void)     { return exten; }

  void force_ext(char *s)   { del_ext(); set_ext(s); }

  char *name_dpfe(char *n);
  char *name_dp(char *n);
  char *name_dpf(char *n);
  char *name_pfe(char *n);
  char *name_pf(char *n);
  char *name_fe(char *n);
  char *name_f(char *n);
  char *name_e(char *n);
  char *name_p(char *n);
  char *name_d(char *n);

  char *name_dpfe(void);
  char *name_dp(void);
  char *name_dpf(void);
  char *name_pfe(void);
  char *name_pf(void);
  char *name_fe(void);
  char *name_f(void);
  char *name_e(void);
  char *name_p(void);
  char *name_d(void);


  int operator==(FILE_NAME& fn);

  FILE_NAME(void);



};


#endif
