/***********************************************************************

                                       CSA Library, Release 1.5.b 

       Set of functions to process messages.
       All the library functions use these functions
       to display warnings, errors etc..

                                          Copyright(c) 1994 
                                          Combis 
                                          The Netherlands   
***********************************************************************/

#ifndef __CSMESS_H
#define __CSMESS_H


#ifndef __STDARG_H
  #include "stdarg.h"
#endif

#ifndef __STDLIB_H
  #include "stdlib.h"
#endif

#ifndef __CSEDSTR_H
  #include "csedstr.h"
#endif

char *csmess_read(long error);
void csmess_set_fun( void (* fun)(char *));
void csmess_reset_fun( void );
void csmess_set_filename( char *s);
void csmess_reset_filename( void);
void csmess_disp( char *s);
void csmess_on(void);
void csmess_off(void);
int  csmess_onoff(void);
void csmess_onoff(int TrueOrFalse);



//////////////////////////////////////////////////////////////////////////


//  This looks very clumsy, but these nice functions with a variable
//  number of arguments doesn't seem to work for me.


char *csmess(	char *s1=NULL, char *s2=NULL, char *s3=NULL, char *s4=NULL, char *s5=NULL, char *s6=NULL);
char *csmess_p( char *s1=NULL, char *s2=NULL, char *s3=NULL, char *s4=NULL, char *s5=NULL, char *s6=NULL);
char *csmess(	long error,char *s1, char *s2, char *s3=NULL, char *s4=NULL, char *s5=NULL);
char *csmess_p( long error,char *s1, char *s2, char *s3=NULL, char *s4=NULL, char *s5=NULL);
char *csmess_p( long error,char *s,long l);
char *csmess_p( long error,long l);
char *csmess_p( long error,int i);
char *csmess_p( long error,char c);
char *csmess_p( long error,schar *s);
inline char *csmess_p( long error,uchar *s) { return csmess_p(error,(schar *)s); }
char *csmess_p( long error,STR &s);
char *csmess_p( long error,EDSTR &s);
char *csmess_p( long error);

#endif
